package HFE;

import java.lang.*;
import java.io.*;
import java.util.*;
import java.security.*;
import sun.misc.*;
import HFE.*;

//-----------------------------------------------------------------------------
// Project:     Implementing HFE at UCC as Project CS4095
// Supervisors: Simon Foley (Computer Science) and Patrick Fitzpatrick (Maths)
//-----------------------------------------------------------------------------

/**
<p>
Provides a assertion checker for HFE which is quite similar to
the assertion facility of Java 1.4.
<p>
@author Christopher Wolf (hfe@Christopher-Wolf.de)
@version 0.1
*/

//Copyright (C) 2002    Christopher Wolf
//
//This program is free software; you can redistribute it and/or modify
//it under the terms of the GNU General Public License as published by
//the Free Software Foundation; either version 2 of the License, or
//(at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License (file LICENCE) for more details.


class Check {

   /** Throws an Illegal Argument Exception if (statement == false).
       Mimics the assertion facility which is provied in Java 1.4.
   */
   static void assert(boolean statement) {
     if (!statement) throw new IllegalArgumentException("Assertion wrong");
   }

   /** Throws an Illegal Argument Exception if (statement == false).
       Mimics the assertion facility which is provied in Java 1.4.
   */
   static void assert(boolean statement, String text) {
     if (!statement) throw new IllegalArgumentException("Assertion wrong: " + text);
   }

   public static void main(String[] args) {
    assert(true);
    assert(false);
  }
}
